Skip to main content

Add Person Restrictions

POST 

/users/v1/person/:person_id/restrictions

Add a new restriction to an existing person

Required Permissions:

  • For any person (including themselves) any of: user:*, user:restriction:modify:any

Request

Path Parameters

    person_id uuidrequired

Body

required

    type RestrictionType (string)required

    Possible values: [account_ban, account_lockout, account_pending_deletion, account_deny_auth]

    Restrictions that can be applied to a player. Resitrictions are applied to a player by an admin and often types indicates that the player is banned.

    reason RestrictionReasonCode (string)

    Possible values: [cheating_autodetected, speedhack_autodetect, other, cheating_observed, cheating_reported_by_player, threats, language, griefing, fraud, revoke_failed, unknown, guardian, issuer_process, account_migration, user_request, maintenance, pending_deletion]

    An enumeration.

    expiration date-time

    Date the restriction expires. Null means the restriction is permanent

    issuer_type RestrictionIssuerType (string)required

    Possible values: [support, gm, admin, anticheat, punish_system, guardian, shop]

    An enumeration.

    issuer Issuer (string)required

    The creator of the restriction

    reason_detail Reason Detail (string)

    Additional reason describing the restriction

Responses

Successful Response

Loading...